/*
 * err.h
 * $Revision: 1.3 $
 *
 * Copyright (c) 2004 David Holroyd
 * See the file COPYING for license terms
 *
 * http://www.badgers-in-foil.co.uk/projects/cvprof/
 */

#ifndef ERR_H
#define ERR_H

#include <stdio.h>

#define NO_JVMDI_MACROS
#include <jvmdi.h>

#define EPRINT(format, args...) do { \
	fprintf(stderr, "cvprof: " format "\n" , ##args); fflush(stderr); \
	} while(0)


void report_jvmdi_error(char *message, jvmdiError err);


#endif  /* ERR_H */
